import Vue from 'vue'
import Cookies from 'js-cookie'
import Element from 'element-ui'
import splitPane from 'vue-splitpane'

import '@/assets/styles/element-variables.scss'
import 'font-awesome/css/font-awesome.css'
import '@/assets/styles/index.scss'
import '@/assets/icons'
import '@/permission'

import App from './App.vue'
import router from './router'
import store from './store'

Vue.component('split-pane', splitPane);

Vue.use(Element, {
  size: Cookies.get('size') || 'medium'
})

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: function (h) { return h(App) }
}).$mount('#app')
